Bug 1003031 - can't switch to System reports
can't switch to System reports
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 10:09 EDT by Kamil Páral
Modified: 2013-09-02 04:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 04:35:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-08-30 10:09:21 EDT
Description of problem:
When I open gnome-abrt, I see that System tab has 2 reports. But I can't switch to it, when I click on it, nothing happens ("My" tab is still active).

I can't even run gnome-abrt as root:
$ sudo gnome-abrt 
No protocol specified
Cannot connect to X server


Version-Release number of selected component (if applicable):
gnome-abrt-0.3.0-3.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. run abrt-gnome
2. try to switch to System tab
3. nothing happens
Comment 1 Kamil Páral 2013-08-30 10:11:54 EDT
abrt-cli works:

$ sudo abrt-cli list
@0
Directory:      /var/tmp/abrt/Python-2013-08-30-16:01:32-29686
count:          3
executable:     /bin/livecd-creator
package:        livecd-tools-20.0-1.fc20
time:           Fri 30 Aug 2013 04:01:32 PM CEST
uid:            0

@1
Directory:      /var/tmp/abrt/Python-2013-08-22-14:20:08-23517
count:          3
executable:     /bin/meld
package:        meld-1.7.3-1.fc19
time:           Thu 22 Aug 2013 02:20:08 PM CEST
uid:            0
Comment 2 Jiri Moskovcak 2013-08-31 04:01:01 EDT
(In reply to Kamil Páral from comment #0)
> Description of problem:
> When I open gnome-abrt, I see that System tab has 2 reports. But I can't
> switch to it, when I click on it, nothing happens ("My" tab is still active).
> 

- it tries to authorize using the polkit agent, so my guess is that the polkit on your machine is broken, can you try some other application which uses polkit to rule out this suspicion?

> I can't even run gnome-abrt as root:
> $ sudo gnome-abrt 
> No protocol specified
> Cannot connect to X server
> 

- this is a different issue, please file another bug for it

> 
> Version-Release number of selected component (if applicable):
> gnome-abrt-0.3.0-3.fc19.x86_64
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1. run abrt-gnome
> 2. try to switch to System tab
> 3. nothing happens
Comment 3 Kamil Páral 2013-09-02 04:35:52 EDT
Hmm, it works now. The polkit agent probably crashed or something, but I can't reproduce anymore. Next time this happens, I'll investigate what happened to polkit.
Comment 4 Kamil Páral 2013-09-02 04:36:27 EDT
Oh by the way, "sudo gnome-abrt" now works too :-)

Note You need to log in before you can comment on or make changes to this bug.